<!doctype html>
<html>

<head>
	<meta charset="utf-8">
	<title>Documento sin título</title>
	<link href='http://fonts.googleapis.com/css?family=Roboto+Slab' rel='stylesheet' type='text/css'>
	<link href="objetos.css" rel="stylesheet" type="text/css">
	<script src="ointroduccionprototipo.js"></script>
</head>

<body>
	<div class="cajas entrada">
		<pre>
			/* Vamos a crear una clase padre */

			class Persona {
				// propiedad privada
				#nombre = "";
				// metodos publicos
				dormir() {
					console.log("ZZZZZZZZZZZZ");
				};

				hablar() {
					console.log("BLA BLA BLA");
				};

				contar() {
					console.log("1 2 3 4 5 6");
				};

				get Nombre() {
					return this.#nombre;
				};

				set Nombre(valor) {
					this.#nombre = valor;
				};
			};

			/* Vamos a crear una clase hija */

			class Hija extends Persona {
				constructor() {
					this.atributoHijo = 18;
				}
			};

			/* vamos a crear un objeto desde la clase hija */

			const ana = new Hija();

			/* Vamos a crear un objeto desde la clase padre */

			const ramon = new Persona();

			console.log(ana.atributoHijo);
			console.log(ana);
			console.log(ramon);
		</pre>
	</div>
	<div class="cajas salida">
		<div class="titulo">
			Ejemplo prototipos
		</div>
		<div class="explicacion">
			Mediante este ejemplo vamos a darnos cuenta como utilizamos los prototipos de Javascript para la herencia de
			objetos.
		</div>
	</div>
</body>

</html>